package cn.fw.hermes.common.utils.im;

import cn.fw.hermes.common.constant.RedisKey;
import java.text.MessageFormat;

/**
 * @author 张志伟
 * @date 2018-09-08 17:12
 * @description
 */
public class RedisKeyUtil {
    /**
     * 获取管理员的sigkey
     *
     * @param identifier
     * @return
     */
    public static String getAdminkey(String identifier) {
        return MessageFormat.format(RedisKey.ADMIN_SIG.getCode(), identifier);
    }

    /**
     * 获取用户的sigkey
     *
     * @param identifier
     * @return
     */
    public static String getUserkey(String identifier) {
        return MessageFormat.format(RedisKey.USER_SIG.getCode(), identifier);
    }


    /**
     * 获取分布式锁key
     * @param identifier
     * @return
     */
    public static String getDistributedKey(String identifier) {
        return identifier  + "distributedKey";
    }

}
