package cn.fw.hermes.sdk.api.para;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: Chenery
 * @Date: 2021/2/6 15:59
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MessageResult {
  public final static String TOPIC = "send_asyn_msg";
  /**
   * 消息唯一ID
   */
  private String messageId;
  /**
   * 消息最终状态 true:发送成功
   * false:发送失败
   */
  private Boolean status;
}
