package cn.fw.hermes.sdk.api.result;

import lombok.Data;

import java.io.Serializable;

/**
 * @author 张志伟
 * @date 2018-04-02 17:35
 * @description
 */
@Data
public class RelationshipResult implements Serializable{
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 经销商ID
     */
    private Long dealerId;

    /**
     * 经销商名
     */
    private String dealerName;

    /**
     * 组织机构id
     */
    private Long orgId;

    /**
     * 组织机构名称
     */
    private String orgName;

    /**
     * 4s店ID
     */
    private Long shopId;

    /**
     * 4s店名
     */
    private String shopName;

    /**
     * 设备注册ID
     */
    private String registrationId;

    /**
     * 别名 = 登录名
     */
    private String alias;

    /**
     * 状态(0删除,1启用)
     */
    private Byte status;

    private static final long SERIALIZABLE = 1L;

}
