package cn.fw.hermes.common.constant;

import lombok.Getter;

/**
 * @author 张志伟
 * @date 2018-09-20 15:57
 * @description
 */
public enum ImGender {
    /**
     * IM性别枚举
     */
    MALE("Gender_Type_Male", "男"),
    FEMALE("Gender_Type_Female", "女"),
    UNKNOWN("Gender_Type_Unknown", "未知");

    @Getter
    private String code;
    @Getter
    private String msg;

    ImGender(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ImGender getEnum(String code) {
        for (ImGender enums : ImGender.values()) {
            if (code.equals(enums.getCode())) {
                return enums;
            }
        }
        throw new IllegalArgumentException(code + "没有对应枚举");
    }
}
