package cn.fw.hermes.common.constant;

import lombok.Getter;

/**
 * @Author: liwei
 * @Date: 2018/12/11 11:03
 */
public enum PullChatApiCodeEnum {

    /**
     * 属性枚举
     */
    A(0, "正常且有数据"),
    B(1001, "请求非法。请检查“请求URL”是否正确。"),
    C(1002, "参数非法。请检查是否管理员帐号，必填字段是否填充，或者字段的填充是否满足协议要求。"),
    D(1003, "系统错误。"),
    E(1004, "文件尚未生成，或者请求时段内没有消息。"),
    F(1005, "文件已过期。"),
    G(110000, "其他错误。"),;

    @Getter
    private Integer code;
    @Getter
    private String msg;

    PullChatApiCodeEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static PullChatApiCodeEnum getEnum(Integer code) {
        for (PullChatApiCodeEnum pullChatApiCodeEnum : PullChatApiCodeEnum.values()) {
            if (code.equals(pullChatApiCodeEnum.getCode())) {
                return pullChatApiCodeEnum;
            }
        }
        return PullChatApiCodeEnum.G;
    }
}
